commit 16ace6f745
Author: Bruce Momjian <bruce@momjian.us>
Date:   Fri Oct 27 11:35:47 2023 -0400

    doc: clarify logical decoding's deadlock of system tables
    
    Reported-by: andyatkinson@gmail.com
    
    Discussion: https://postgr.es/m/166631875298.630.2861049399528658047@wrigleys.postgresql.org
    
    Backpatch-through: master

diff --git a/doc/src/sgml/logicaldecoding.sgml b/doc/src/sgml/logicaldecoding.sgml
index 5af016cfa9..8067946a25 100644
--- a/doc/src/sgml/logicaldecoding.sgml
+++ b/doc/src/sgml/logicaldecoding.sgml
@@ -1197,9 +1197,8 @@ OutputPluginWrite(ctx, true);
       </listitem>
      </itemizedlist>
 
-     Note that these commands that can cause deadlock apply to not only explicitly
-     indicated system catalog tables above but also to any other [user] catalog
-     table.
+     Note that these commands can cause deadlocks not only for the system
+     catalog tables listed above but for other catalog tables.
     </para>
    </sect2>
   </sect1>
